# UnrealFightingFramework

This library provides actors, components, and other general data structures that are useful for developing character action or fighting games.

### To-Do

- [X] State Machine
- [X] Input Buffer
- [ ] Unit tests
- [ ] Generic "Actor" class for any game affecting actors that need to run at a fixed tick & rollback
- [ ] Interfaces/virtual functions for rolling back and resimulating objects
- [ ] Methods for queueing animations/VFX/SFX when re-simulating

### Setup

Clone this repository into the Plugins folder of your game project or your Unreal Engine installation.

Engine - /[UE Root]/Engine/Plugins/
Game - /[Project Root]/Plugins/

### Usage

Coming soon...

### Supported Unreal Engine Versions

- UE 5.2

### Known Issues

None so far...

### Licensing

This library is available under [The MIT License](https://mit-license.org/). This library is free for commercial and non-commercial use. Attribution is not required, but is greatly appreciated. 