// Project Sword & Gun Copyright Kevin Poretti


#include "GameplayFramework/FFAIController.h"

AFFAIController::AFFAIController()
{
    InputBuffer = CreateDefaultSubobject<UFFInputBufferComponent>(TEXT("InputBuffer"));
    bWantsPlayerState = true;
}

bool AFFAIController::CheckInputSequence(const FFFInputSequence& InInputSequence)
{
    return false;
}

bool AFFAIController::CheckInputSequences(const TArray<FFFInputSequence>& InInputSequences)
{
    return false;
}

FVector AFFAIController::GetInputAsWorldDirection() const
{
    return FVector::ZeroVector;
}

void AFFAIController::DisableMostRecentInput()
{
    check(InputBuffer);
    InputBuffer->DisableMostRecentInput();
}
